open YaccTypes;;

let depOut = (open_out "../Output/dependencies.txt");;

let printWord w = (output_string depOut (w.word^"\t"^w.cat^"\t"^(string_of_int w.parent)^"\n")); flush depOut;;

let rec printSentence s = match s with
    [] -> flush depOut
  |h::t -> (printWord h); (printSentence t);;

let rec runPrint sentenceList i = match sentenceList with
    [] -> (output_string depOut "\n"); flush depOut; true
  |h::t -> (printSentence h); (output_string depOut "\n"); (runPrint t (i+1));;

