type node = {word: string; cat: string; pos: int; parent: int; mainChild: int; edge: string};;


let makeNode w c l = match (List.rev l) with
 [] -> {word=w; cat=c; pos=(-1); parent=(-1); mainChild=(-1);edge=""}
|h::t -> {word=w; cat=c; pos=(-1);parent=(snd h); mainChild=(-1);edge=(fst h)};;

let rec addPos wl i nl = match wl with
	[] ->(List.rev nl)
	|h::t -> match (String.rcontains_from h.word 0 '#') with
             true -> (addPos t (i+1) ({word=h.word;cat=h.cat;pos=(int_of_string (String.sub h.word 1 3));parent=h.parent;mainChild=h.mainChild;edge=h.edge} :: nl))
            |false -> (addPos t (i+1) ({word=h.word;cat=h.cat;pos=i;parent=h.parent;mainChild=h.mainChild;edge=h.edge}::nl))



let makeSentence wl= (addPos (List.rev wl) 0 []);;

let linenum = ref 1;; 
